# Class LayersWriter

java.lang.Object
uk.ac.starlink.ttools.build.LayersWriter

public class LayersWriter extends Object
Write XML text describing LayerTypes available to given TypedPlot2Tasks. This class is designed to be used from its `main` method.

Since:
  18 Sep 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LayersWriter(TypedPlot2Task<?,?> task)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getXml()`
Returns XML text describing available layers for this writer's task.
`static void`
`main(String[] args)`
With an arg: writes description for that TypedPlot2Task.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LayersWriter

public LayersWriter(TypedPlot2Task<?,?> task)
Constructor.

Parameters:
  `task` - for which to write docs

## Method Details

### getXml

public String getXml()
Returns XML text describing available layers for this writer's task.

Returns:
  <p> element(s)

### main

public static void main(String[] args) throws uk.ac.starlink.util.LoadException, IOException
With an arg: writes description for that TypedPlot2Task. Without args: writes descriptions for all to current directory.

Throws:
  `uk.ac.starlink.util.LoadException`
  `IOException`